<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.1) on Sun Aug 01 17:59:29 CEST 2021 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-08-01">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html#serialVersionUID">serialVersionUID</a></span> - Static variable in class com.zelyvanna.bdoefficiency.security.services.<a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/ServletInitializer.html" title="class in com.zelyvanna.bdoefficiency"><span class="typeNameLink">ServletInitializer</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/package-summary.html">com.zelyvanna.bdoefficiency</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/ServletInitializer.html#%3Cinit%3E()">ServletInitializer()</a></span> - Constructor for class com.zelyvanna.bdoefficiency.<a href="../com/zelyvanna/bdoefficiency/ServletInitializer.html" title="class in com.zelyvanna.bdoefficiency">ServletInitializer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#setAap(int)">setAap(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html#setAccessToken(java.lang.String)">setAccessToken(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setAgris(boolean)">setAgris(boolean)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#setAp(int)">setAp(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/ClasseAverage.html#setAverage(int)">setAverage(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/ClasseAverage.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseAverage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html#setAverage(int)">setAverage(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html" title="class in com.zelyvanna.bdoefficiency.model">GrindspotAverage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setBlueScroll(boolean)">setBlueScroll(boolean)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setC_character(com.zelyvanna.bdoefficiency.model.Character)">setC_character(Character)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Classe.html#setCharacters(java.util.Set)">setCharacters(Set&lt;Character&gt;)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Classe.html" title="class in com.zelyvanna.bdoefficiency.model">Classe</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#setCharacters(java.util.Set)">setCharacters(Set&lt;Character&gt;)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#setClasse(com.zelyvanna.bdoefficiency.model.Classe)">setClasse(Classe)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/ClasseAverage.html#setClasse(com.zelyvanna.bdoefficiency.model.Classe)">setClasse(Classe)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/ClasseAverage.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseAverage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/ClasseCount.html#setClasse(com.zelyvanna.bdoefficiency.model.Classe)">setClasse(Classe)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/ClasseCount.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseCount</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/ClasseCount.html#setCount(int)">setCount(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/ClasseCount.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseCount</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#setDp(int)">setDp(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setDropEvent(boolean)">setDropEvent(boolean)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setDuration(int)">setDuration(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#setEmail(java.lang.String)">setEmail(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html#setEmail(java.lang.String)">setEmail(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">SignupRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html#setEmail(java.lang.String)">setEmail(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#setGrind(com.zelyvanna.bdoefficiency.model.Grind)">setGrind(Grind)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setGrindItems(java.util.Set)">setGrindItems(Set&lt;GrindItem&gt;)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#setGrinds(java.util.Set)">setGrinds(Set&lt;Grind&gt;)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#setGrinds(java.util.Set)">setGrinds(Set&lt;Grind&gt;)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setGrindspot(com.zelyvanna.bdoefficiency.model.Grindspot)">setGrindspot(Grindspot)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html#setGrindspot(com.zelyvanna.bdoefficiency.model.Grindspot)">setGrindspot(Grindspot)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html" title="class in com.zelyvanna.bdoefficiency.model">GrindspotAverage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#setIcon(byte%5B%5D)">setIcon(byte[])</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#setId(int)">setId(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Classe.html#setId(int)">setId(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Classe.html" title="class in com.zelyvanna.bdoefficiency.model">Classe</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setId(int)">setId(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#setId(int)">setId(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html#setId(int)">setId(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#setId(int)">setId(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Role.html#setId(java.lang.Integer)">setId(Integer)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Role.html" title="class in com.zelyvanna.bdoefficiency.model">Role</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#setId(java.lang.Long)">setId(Long)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html#setId(java.lang.Long)">setId(Long)</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#setItem(com.zelyvanna.bdoefficiency.model.Item)">setItem(Item)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html#setItems(java.util.Set)">setItems(Set&lt;Item&gt;)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setKamasylve(boolean)">setKamasylve(boolean)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#setKutum(int)">setKutum(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#setLevel(int)">setLevel(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#setMainKey(int)">setMainKey(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/MessageResponse.html#setMessage(java.lang.String)">setMessage(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/MessageResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">MessageResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Role.html#setName(com.zelyvanna.bdoefficiency.model.ERole)">setName(ERole)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Role.html" title="class in com.zelyvanna.bdoefficiency.model">Role</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#setName(java.lang.String)">setName(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Classe.html#setName(java.lang.String)">setName(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Classe.html" title="class in com.zelyvanna.bdoefficiency.model">Classe</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html#setName(java.lang.String)">setName(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#setName(java.lang.String)">setName(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setNode(int)">setNode(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#setPassword(java.lang.String)">setPassword(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/LoginRequest.html#setPassword(java.lang.String)">setPassword(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/LoginRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">LoginRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html#setPassword(java.lang.String)">setPassword(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">SignupRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#setPrice(int)">setPrice(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#setPrice(int)">setPrice(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html#setQuantity(int)">setQuantity(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html#setRecommendedAP(int)">setRecommendedAP(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html#setRole(java.util.Set)">setRole(Set&lt;String&gt;)</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">SignupRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#setRoles(java.util.Set)">setRoles(Set&lt;Role&gt;)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#setTaxed(boolean)">setTaxed(boolean)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setTent(boolean)">setTent(boolean)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html#setTokenType(java.lang.String)">setTokenType(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setTotalSilver(int)">setTotalSilver(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#setUpdatedAt(java.util.Date)">setUpdatedAt(Date)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#setUser(com.zelyvanna.bdoefficiency.model.User)">setUser(User)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setUser(com.zelyvanna.bdoefficiency.model.User)">setUser(User)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#setUsername(java.lang.String)">setUsername(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/LoginRequest.html#setUsername(java.lang.String)">setUsername(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/LoginRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">LoginRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html#setUsername(java.lang.String)">setUsername(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">SignupRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html#setUsername(java.lang.String)">setUsername(String)</a></span> - Method in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setValuePack(boolean)">setValuePack(boolean)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#setYellowScroll(boolean)">setYellowScroll(boolean)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/CharacterController.html#showCharacter(int)">showCharacter(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/CharacterController.html" title="class in com.zelyvanna.bdoefficiency.controller">CharacterController</a></dt>
<dd>
<div class="block">Allows a User to see various informations about a Character</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/ClasseController.html#showClasse(int)">showClasse(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/ClasseController.html" title="class in com.zelyvanna.bdoefficiency.controller">ClasseController</a></dt>
<dd>
<div class="block">Allows a User to see various informations about a Classe</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html#showGrind(int)">showGrind(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindController</a></dt>
<dd>
<div class="block">Allows User to view informations about a grind hour</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindspotController.html#showGrindspot(int)">showGrindspot(int)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindspotController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindspotController</a></dt>
<dd>
<div class="block">Allows a User to see various informations about a Grindspot</div>
</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request"><span class="typeNameLink">SignupRequest</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/payload/request/package-summary.html">com.zelyvanna.bdoefficiency.payload.request</a></dt>
<dd>
<div class="block">Signup Request</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html#%3Cinit%3E()">SignupRequest()</a></span> - Constructor for class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">SignupRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/ClasseControllerTest.html#springSecurityFilterChain">springSecurityFilterChain</a></span> - Variable in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/ClasseControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller">ClasseControllerTest</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
